#!/bin/bash

cd /home/gmathias/SVN_TEST_SUITE/trunk/Test_Suite
svn up
./CPMD_Test_Suite.sh -srcdir ../SOURCE/ -vc svn -vcupd -compdir ../COMPILE/  -reconfig -compile
cp -f TS.OUT/make.log .
cat > TS.pbs << EOF
#!/bin/sh
#PBS -l nodes=4:ppn=4
#PBS -q frogs
#PBS -l walltime=2:00:00
#PBS -N TESTCPMD
#PBS -j oe -o TS-pbs.out
#PBS -m abe
#PBS -M gmathias@theochem.ruhr-uni-bochum.de

#
#pBS -M svn-cpmd-devel@theochem.ruhr-uni-bochum.de

echo "========================================================================"
echo "PBS_JOBID=\$PBS_JOBID"
echo "PBS_JOBNAME=\$PBS_JOBNAME"
echo "PBS_O_HOST=\$PBS_O_HOST"
echo "PBS_O_QUEUE=\$PBS_O_QUEUE"
echo "PBS_O_WORKDIR=\$PBS_O_WORKDIR"
echo "------------------------------------------------------------------------"
cat \$PBS_NODEFILE
echo "========================================================================"
cd \$PBS_O_WORKDIR
#set -vx
# define Test_Suite options
# start the script
./CPMD_Test_Suite.sh -bindir ../COMPILE -ALL  -mpicmd "mpirun -np NCPU" -maxproc 16
cat  TS.OUT/Tests.log |\
  mail -r svn-cpmd@theochem.ruhr-uni-bochum.de \
       -a make.log \
       -s "Test_Suite: weekly check on chroma" \
          svn-cpmd-devel@theochem.ruhr-uni-bochum.de 
exit
EOF
/usr/local/bin/qsub TS.pbs


